<?php

namespace App\Repositories\Eloquent;

use App\Models\ExpenseCategory;
use Illuminate\Database\Eloquent\Model;

class ExpenseCategoryRepository extends BaseRepository
{
    protected function resolveModel(): Model
    {
        return new ExpenseCategory();
    }

    public function getActive()
    {
        return $this->model->where('is_active', true)->get();
    }
}
